import { DatabaseClient } from '../common/database';
import { TransactionalLogger } from '../common/logger';
import { StoredTransactionalMessage } from '../message/transactional-message';
import { PollingListenerSettings } from './config';
/**
 * Gets the next inbox messages from the database and sets the locked_until
 * @param maxMessages The maximum number of messages to fetch.
 * @param client The database client to use for the query.
 * @param settings The settings object for the inbox table and function name.
 * @param logger The logger to use for logging.
 * @returns A promise that resolves to the query result object.
 */
export declare const getNextInboxMessages: (maxMessages: number, client: DatabaseClient, settings: PollingListenerSettings, logger: TransactionalLogger) => Promise<StoredTransactionalMessage[]>;
//# sourceMappingURL=next-messages.d.ts.map